# DipStik test code - BootLoader bit - DipBoot.py
from machine import Pin, ADC
import network
import pycom
import time
import DipApp

#this code is the first bit of the real DipStik application that starts up.
#the Boot.py file is changed so that it does not start the WiFi or REPL, unless the WiFi button is held down when booting.
#
# this section of code (DipBoot) needs to perform the following:
# set up all primary i/o pins, directions, functions, etc
# do a checksum/sanity test on the code (application code file) and the NVRAM (json config file) sections to confirm that code can start
# do a test of the version numbers to see if a code update is required (this will be handled later. Can only be done via 3/4G or possibly LTE-M)
# once all tests ok, contriol needs to then be passed to the application code (DipApp)
#

# define rgb colours for later use
RED=0x3f0000
BLUE=0x00003f
GREEN=0x003f00
YELLOW=0x3f3f00
WHITE=0x3f3f3f
CYAN=0x003f3f
MAGENTA=0x3f003f
LEDOFF=0

def BootMain():
	# need to do stuff in here.
	# for now, just pass control to application code
	DipApp.AppMain()
	pass
pass
